# import gym
# from gym.envs.registration import register

import gymnasium as gym
from gymnasium.envs.registration import register

def register_envs():
    register(id='PointMazeObstacle-v0',
        entry_point='raDT.baselines.envs.point_maze_obstacle:PointMazeObstacleEnv',
        max_episode_steps=1000,)

    register(
        id='FetchPushObstacle-v0',
        entry_point='raDT.baselines.envs.push_obstacle:FetchPushObstacleEnv',
        max_episode_steps=50,)
        
    register(id='FetchPickAndPlaceObstacle-v0',
            entry_point='raDT.baselines.envs.pick_and_place_obstacle:FetchPickAndPlaceObstacleEnv',
            max_episode_steps=50,)

    register(id='FetchSlideObstacle-v0',
        entry_point='raDT.baselines.envs.slide_obstacle:FetchSlideObstacleEnv',
        max_episode_steps=50,)
    
    register(id='FetchReachObstacle-v0',
        entry_point='raDT.baselines.envs.reach_obstacle:FetchReachObstacleEnv',
        max_episode_steps=50,)